Saurik actualiza Cydia para mostrar a qué firmware se puede bajar

Saurik ha anunciado en su Twitter que ahora Cydia tiene actualizado su sistema SHSH. ¿Esto qué quiere decir? Que a partir de ahora, cuando arranquemos Cydia podremos saber a qué versiones del firmware podemos downgradear el sistema operativo de nuestro iPhone, es decir, bajar el firmware a otro anterior, por la razón que sea. Antes esto se podía hacer libremente pero ahora iTunes compruebas con los servidores de Apple a qué firmware tenemos permiso actualizar, y no permite hacerlo a versiones inferiores en un paso más para poder luchar contra el jailbreak.

Saurik anuncia mejoras en Cydia

Saurik, ha creado su propio servidor de autentificaciones de manera que ahora iTunes puede ‘preguntar’ ahí y obtener permiso para instalar una versión de iPhone OS más baja que la que tenemos instalada.

Ahora, cuando abras Cydia, podrás ver en pantalla a qué firmwares puedes ‘bajar’ si así lo necesitaras, como mostramos en esta captura de pantalla.

Sistema SHSH en Cydia

Esto no afecta para nada a iPhones de primera generación (GSM) o el iPhone 3G, ya que sólo el iPhone 3GS tiene encriptación por hardware instalada y es imprescindible contar con eso para que Apple pueda utilizar este sistema de autentificación. Aunque esta entrada pueda parecer complicada, lo único que realmente importa es que se da un paso pequeño pero importante para poder preservar el jailbreak de los iPhone 3GS en el futuro, y también de futuros modelos de iPhone que vengan en el 2010.

11 Comentarios

  1. Saludos, pues es interesante eso de Saurik en el mío que es un Iphone 3GS de 32 me indica que puedo bajar al 3.1 y al 3.1.2 nada mas!, será que esto es el indicio de un nuevo Firmware 3.2????? pero bueno saludos

  2. jajajaja…. pues yo no tengo claro esto…. tengo el firm 3.1 y me pone solo "This device has SHSHs on a file for Iphone Os: 3.1.2".

    La verdad es que me llego el otro día de sustitución con el firm 3.1 y no toque nada, solo instale el blackra1n y a funcionar… ya no puedo downgradear ni nada no??

  3. A mi me aparece que tengo para actualizar al os: 3.1.3 y tengo problema con el 3.1.2. el cual se tilda cuando lo apago. Me recomiendan actualizarlo?? desde ya gracias

    • @santiago depende. si lo usas liberado, no actualices nunca. si tienes el jailbreak hecho y te hace falta, no lo actualices. si lo usas con su operador sin más, no te importa la liberación en el futuro y no quieres hacer el jailbreak, adelante.

  4. hola la verdad soy pesima en todas estas cosas de la tecnologia, en mi iphone 3gs aparece “This device has SHSHs on a file for Iphone Os: 3.1.2?, debo guardarlo igual o simplemente lo dejo, el funciona super bien,yo estoy feliz con el y me da miedo hacer algo que lo estropee…gracias

  5. Cuando abro cidya siempre se demora luego me sale un mensaje de error al momento de actualizarse, porque, antes no lo hacia.
    gpg error http:/screspo.co.cc/release, the folowwing signatures were invalid NODATA3 NOTDA4……

    En cuanto al shsh on file ya has hecho lo que debes no te preocupes.

Dejar respuesta

Teclea aquí tu comentario
Introduce aquí tu nombre